[![GitHub version](https://badge.fury.io/gh/unapon%2Fdocker2plantuml.svg)](https://badge.fury.io/gh/unapon%2Fdocker2plantuml)
[![CircleCI](https://circleci.com/gh/unapon/docker2plantuml.svg?style=svg)](https://circleci.com/gh/unapon/docker2plantuml)
[![MIT License](http://img.shields.io/badge/license-MIT-blue.svg?style=flat)](LICENSE)

# Docker2plantuml

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'docker2plantuml'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install docker2plantuml

## Usage

```
$ docker ps -q | xargs docker inspect | docker2plantuml
```
or 
```
$ docker ps -q | xargs docker inspect > docker.json
$ docker2plantuml docker.json
```
And, Convert standard output to deployment diagram using plantUML

Example:  

![readme_sample.svg](readme_sample.svg)

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/unapon/docker2plantuml. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Docker2plantuml project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/unapon/docker2plantuml/blob/master/CODE_OF_CONDUCT.md).
