
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "docker2plantuml/version"

Gem::Specification.new do |spec|
  spec.name          = "docker2plantuml"
  spec.version       = Docker2plantuml::VERSION
  spec.authors       = ["unapon"]
  spec.email         = ["unapon.dev@gmail.com"]

  spec.summary       = %q{Generate PlantUML from "docker inspect" command.}
  spec.description   = %q{Generate PlantUML from "docker inspect" command.}
  spec.homepage      = "https://github.com/unapon/docker2plantuml"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
=begin
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end
=end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rubocop", '~> 0.61.1'
  spec.add_development_dependency "simplecov", "~> 0.16.1"
end
